[Version]
Signature   = "$WINDOWS NT$"
Class       = Extension
ClassGuid   = {e2f84ce7-8efa-411c-aa69-97454ca4cb57}
Provider    = %INTEL%
ExtensionId = {18AA8793-19B3-4B6F-B0AB-851DAF9296A1}
DriverVer = 08/21/2020,8.7.10401.16510
CatalogFile = icss_extension.cat

[Manufacturer]
%INTEL% = INTEL,NTamd64.10.0...17134

[SourceDisksNames]
1 = %DiskName%,,,""

[SourceDisksFiles]
log4net.config = 1
log4net.dll = 1
Microsoft.Lync.Model.dll = 1
Microsoft.Lync.Model.xml = 1
Microsoft.Office.Uc.dll = 1
Newtonsoft.Json.dll = 1
ServiceSettings.json = 1
UserAwarenessHelper.exe = 1
UserAwarenessHelper.exe.config = 1
UserAwarenessService.exe = 1
UserAwarenessService.exe.config = 1

[DestinationDirs]
DefaultDestDir = 13
ContextSvc_CopyFiles = 13
; ServiceSettings_CopyFiles = 12, DriverData\%InstallDir% ; uncomment to copy bundled ServiceSettings.json file

[INTEL.NTamd64.10.0...17134]
%PROCTGL.DeviceDesc%  = EsifManager10.0,PCI\VEN_8086&DEV_9A03
%PROCRKL.DeviceDesc%  = EsifManager10.0,PCI\VEN_8086&DEV_4C03

[EsifManager10.0.NTamd64]
CopyFiles = ContextSvc_CopyFiles
; CopyFiles = ServiceSettings_CopyFiles ; uncomment to copy bundled ServiceSettings.json file
AddPowerSetting = IntelDTTWakeOnApproachControl
AddPowerSetting = IntelDTTWakeOnApproachWithExternalMonitorControl
AddPowerSetting = IntelDTTWakeOnApproachOnLowBatteryControl
AddPowerSetting = IntelDTTWakeOnApproachBatteryRemainingPercentage
AddPowerSetting = IntelDTTWalkAwayLockControl
AddPowerSetting = IntelDTTWalkAwayLockWithExternalMonitorControl
AddPowerSetting = IntelDTTWalkAwayLockDimScreenControl
AddPowerSetting = IntelDTTWalkAwayLockDisplayOffAfterLockControl
AddPowerSetting = IntelDTTWalkAwayLockHonorPowerRequestsForDisplayControl
AddPowerSetting = IntelDTTWalkAwayLockHonorUserInCallControl
AddPowerSetting = IntelDTTWalkAwayLockScreenLockWaitTime
AddPowerSetting = IntelDTTUserPresentWaitTimeout
AddPowerSetting = IntelDTTWalkAwayLockPreDimWaitTime
AddPowerSetting = IntelDTTWalkAwayLockDimInterval
AddPowerSetting = IntelDTTNoLockOnPresenceControl
AddPowerSetting = IntelDTTNoLockOnPresenceWithExternalMonitorControl
AddPowerSetting = IntelDTTNoLockOnPresenceOnBatteryControl
AddPowerSetting = IntelDTTNoLockOnPresenceBatteryRemainingPercentage
AddPowerSetting = IntelDTTNoLockOnPresenceResetWaitTime
AddPowerSetting = IntelDTTFailsafeTimeout
AddPowerSetting = IntelDTTWakeOnApproachEvent
AddPowerSetting = IntelDTTWalkAwayLockEvent
AddPowerSetting = IntelDTTExternalMonitorConnectionState
AddPowerSetting = IntelDTTUserInCallState
AddPowerSetting = IntelDTTContextServiceState
AddPowerSetting = IntelDTTAdaptiveDimmingControl
AddPowerSetting = IntelDTTAdaptiveDimmingWithExternalMonitorControl
AddPowerSetting = IntelDTTAdaptiveDimmingPreDimInterval
AddPowerSetting = IntelDTTMispredictionFaceDetectionControl
AddPowerSetting = IntelDTTMispredictionTimeWindow
AddPowerSetting = IntelDTTMisprediction1DimWaitTime
AddPowerSetting = IntelDTTMisprediction2DimWaitTime
AddPowerSetting = IntelDTTMisprediction3DimWaitTime
AddPowerSetting = IntelDTTMisprediction4DimWaitTime
AddPowerSetting = IntelDTTUserNotPresentDimTarget
AddPowerSetting = IntelDTTUserDisengagedDimmingInterval
AddPowerSetting = IntelDTTUserDisengagedDimTarget
AddPowerSetting = IntelDTTUserDisengagedDimWaitTime

[ContextSvc_CopyFiles]
UserAwarenessService.exe,,,%COPYFLG_NOSKIP%
UserAwarenessService.exe.config,,,%COPYFLG_NOSKIP%
log4net.config,,,%COPYFLG_NOSKIP%
log4net.dll,,,%COPYFLG_NOSKIP%
Microsoft.Lync.Model.dll,,,%COPYFLG_NOSKIP%
Microsoft.Lync.Model.xml,,,%COPYFLG_NOSKIP%
Microsoft.Office.Uc.dll,,,%COPYFLG_NOSKIP%
Newtonsoft.Json.dll,,,%COPYFLG_NOSKIP%
ServiceSettings.json,,,%COPYFLG_NOSKIP%
UserAwarenessHelper.exe,,,%COPYFLG_NOSKIP%
UserAwarenessHelper.exe.config,,,%COPYFLG_NOSKIP%

; uncomment to copy bundled ServiceSettings.json file
; [ServiceSettings_CopyFiles]
; ServiceSettings.json,,,%COPYFLG_NOSKIP%

[EsifManager10.0.NTamd64.Services]
AddService = IntelContextService, 0x000009f8, ContextSvc_InstallService,, Application, ICSS

[EsifManager10.0.NTamd64.HW]
AddReg = Hw_AddLocationReg

[Hw_AddLocationReg]
HKR,,"InstallDir",,%13%

[ContextSvc_InstallService]
DisplayName=%ServiceDisplayName%
Description=%ServiceDescription%
ServiceType = %SERVICE_WIN32_OWN_PROCESS%
StartType = %SERVICE_AUTO_START%
ErrorControl = %SERVICE_ERROR_NORMAL%
ServiceBinary = """%13%\%ServiceFile%"""
AddReg = ContextSvcVersion_AddReg

[ContextSvcVersion_AddReg]
HKR,"Parameters","Version",,"8.7.10401.16510"
HKR,"Parameters","Display",,"Intel(R) Context Sensing Service"
HKR,"Parameters","Path",,"%13%"

[IntelDTTWakeOnApproachControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting		= %GUID_DTT_WOA%,"Wake On Approach Control","Enable/disable wake when user approaches the system"
Value		= 0, "Disable", "Disable Wake on Approach", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable Wake on Approach", %REG_DWORD%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %DC%, 1
Default		= %GUID_TYP_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_TYP_POWER_SAVINGS%, %DC%, 1
Default		= %GUID_MIN_POWER_SAVINGS%, %AC%, 1
Default    	= %GUID_MIN_POWER_SAVINGS%, %DC%, 1

[IntelDTTWakeOnApproachWithExternalMonitorControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting		= %GUID_DTT_WOA_EXTERNAL_MONITOR%,"Wake On Approach Control With External Monitor","Enable/disable wake when user approaches the system with external monitor"
Value		= 0, "Disable", "Disable Wake on Approach With External Monitor", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable Wake on Approach With External Monitor", %REG_DWORD%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %AC%, 0
Default		= %GUID_MAX_POWER_SAVINGS%, %DC%, 0
Default		= %GUID_TYP_POWER_SAVINGS%, %AC%, 0
Default		= %GUID_TYP_POWER_SAVINGS%, %DC%, 0
Default		= %GUID_MIN_POWER_SAVINGS%, %AC%, 0
Default		= %GUID_MIN_POWER_SAVINGS%, %DC%, 0

[IntelDTTWakeOnApproachOnLowBatteryControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting		= %GUID_DTT_WOA_LOW_BATTERY%,"Wake On Approach Control On Low Battery","Enable/disable wake when user approaches the system on low battery"
Value		= 0, "Disable", "Disable Wake on Approach On Low Battery", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable Wake on Approach On Low Battery", %REG_DWORD%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %DC%, 1
Default		= %GUID_TYP_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_TYP_POWER_SAVINGS%, %DC%, 1
Default		= %GUID_MIN_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_MIN_POWER_SAVINGS%, %DC%, 1

[IntelDTTWakeOnApproachBatteryRemainingPercentage]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting    	= %GUID_DTT_WOA_BATTERY_REMAINING_PERCENTAGE%,"Wake On Approach Battery Remaining Limit (%%)","Battery Remaining Limit used for wake on approach on low battery"
ValueRange  	= 0, 100, 1, "%%"
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 15
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 15
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 15
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 15
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 15
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 15

[IntelDTTWalkAwayLockControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting		= %GUID_DTT_WAL%,"Walk Away Lock Control","Enable/disable screen lock when user walks away"
Value		= 0, "Disable", "Disable Walk Away Lock", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable Walk Away Lock", %REG_DWORD%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %DC%, 1
Default		= %GUID_TYP_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_TYP_POWER_SAVINGS%, %DC%, 1
Default		= %GUID_MIN_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_MIN_POWER_SAVINGS%, %DC%, 1

[IntelDTTWalkAwayLockWithExternalMonitorControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting		= %GUID_DTT_WAL_EXTERNAL_MONITOR%,"Walk Away Lock Control With External Monitor","Enable/disable screen lock when user walks away with external monitor"
Value		= 0, "Disable", "Disable Walk Away Lock With External Monitor", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable Walk Away Lock With External Monitor", %REG_DWORD%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %AC%, 0
Default		= %GUID_MAX_POWER_SAVINGS%, %DC%, 0
Default		= %GUID_TYP_POWER_SAVINGS%, %AC%, 0
Default		= %GUID_TYP_POWER_SAVINGS%, %DC%, 0
Default		= %GUID_MIN_POWER_SAVINGS%, %AC%, 0
Default		= %GUID_MIN_POWER_SAVINGS%, %DC%, 0

[IntelDTTWalkAwayLockDimScreenControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_WAL_DIM_SCREEN%,"Dim Screen Control","Enable/disable dimming the screen when user is present"
Value		= 0, "Disable", "Disable Dimming the Screen", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable Dimming the Screen", %REG_DWORD%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 1

[IntelDTTWalkAwayLockDisplayOffAfterLockControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_WAL_DISPLAY_OFF_AFTER_LOCK%,"Display Off After Lock Control","Enable/disable display off after screen lock"
Value		= 0, "Disable", "Disable Display Off after locking the Screen", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable Display Off after locking the Screen", %REG_DWORD%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 1

[IntelDTTWalkAwayLockHonorPowerRequestsForDisplayControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_WAL_HONOR_DISPLAY_POWER_REQUEST%,"Honor Power Requests For Display","Enable/disable honor power requests for display"
Value		= 0, "Disable", "Disable honor power requests for display", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable honor power requests for display", %REG_DWORD%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 1

[IntelDTTWalkAwayLockHonorUserInCallControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_WAL_HONOR_USER_IN_CALL%,"Honor User In Call","Enable/disable honor user in call"
Value		= 0, "Disable", "Disable honor user in call", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable honor user in call", %REG_DWORD%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 1

[IntelDTTWalkAwayLockScreenLockWaitTime]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_WAL_WAITTIME%,"Display Off Wait Time","Wait time before display will be turned off after user is away"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 60000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 60000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 60000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 60000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 60000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 60000

[IntelDTTUserPresentWaitTimeout]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_USER_PRESENT_WAIT_TIMEOUT%,"User Present Wait Timeout","Time to wait after dimming or locking is interrupted"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 5000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 5000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 5000

[IntelDTTWalkAwayLockPreDimWaitTime]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_WAL_PRE_DIM_WAIT_TIME%,"Walk Away Lock Pre Dim Wait Time","Wait Time before dimming occurs when user is not present"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 30000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 30000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 30000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 30000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 30000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 30000

[IntelDTTWalkAwayLockDimInterval]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_WAL_DIM_INTERVAL%,"Walk Away Lock Dim Interval","Time taken to dim when user is not present"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 5000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 5000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 5000

[IntelDTTNoLockOnPresenceControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_NLOP%,"No Lock on Presence Control","Enable/disable screen lock when user is present"
Value		= 0, "Disable", "Disable No Lock on Presence", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable No Lock on Presence", %REG_DWORD%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 1

[IntelDTTNoLockOnPresenceWithExternalMonitorControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting		= %GUID_DTT_NLOP_EXTERNAL_MONITOR%,"No Lock On Presence Control With External Monitor","Enable/disable no lock on presence when system is connected with external monitor"
Value		= 0, "Disable", "Disable No Lock On Presence With External Monitor", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable No Lock On Presence With External Monitor", %REG_DWORD%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %AC%, 0
Default		= %GUID_MAX_POWER_SAVINGS%, %DC%, 0
Default		= %GUID_TYP_POWER_SAVINGS%, %AC%, 0
Default		= %GUID_TYP_POWER_SAVINGS%, %DC%, 0
Default		= %GUID_MIN_POWER_SAVINGS%, %AC%, 0
Default		= %GUID_MIN_POWER_SAVINGS%, %DC%, 0

[IntelDTTNoLockOnPresenceOnBatteryControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_NLOP_BATTERY%,"No Lock on Presence Control On Battery","Enable/disable no lock on presence on battery"
Value		= 0, "Disable", "Disable No Lock on Presence On Battery", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable No Lock on Presence On Battery", %REG_DWORD%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 1
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 1

[IntelDTTNoLockOnPresenceBatteryRemainingPercentage]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_NLOP_BATTERY_REMAINING_PERCENTAGE%,"No Lock On Presence Battery Remaining Limit (%%)","Battery Remaining Limit used for no lock on presence on battery"
ValueRange  	= 0, 100, 1, "%%"
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 15
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 15
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 15
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 15
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 15
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 15

[IntelDTTNoLockOnPresenceResetWaitTime]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_NLOP_RESET_WAITTIME%,"No Lock On Presence Reset Wait Time","Time taken to return control back to OS when user is not present"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 5000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 5000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 5000

[IntelDTTFailsafeTimeout]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_FAILSAFE_TIMEOUT%,"Failsafe Timeout","Time taken to hand back control to OS when user is engaged"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 1800000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 1800000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 1800000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 1800000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 1800000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 1800000

[IntelDTTWakeOnApproachEvent]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_WOA_EVENT%,"Wake On Approach Event Flag","Event flag to signal Wake On Approach has occurred"
Value		= 0, "Clear", "No Wake On Approach event", %REG_DWORD%, 0
Value		= 1, "Set", "Wake On Approach event occurred", %REG_DWORD%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 0

[IntelDTTWalkAwayLockEvent]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_WAL_EVENT%,"Wake On Approach Event Flag","Event flag to signal Walk Away Lock has occurred"
Value		= 0, "Clear", "No Walk Away Lock event", %REG_DWORD%, 0
Value		= 1, "Set", "Walk Away Lock event occurred", %REG_DWORD%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 0

[IntelDTTExternalMonitorConnectionState]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_EXTERNAL_MONITOR_CONNECTION_STATE_DPPE%,"External Monitor Connection State","State flag for external monitor status"
Value		= 0, "Not Detected", "No external monitor connected", %REG_DWORD%, 0
Value		= 1, "Detected", "At least one external monitor is connected", %REG_DWORD%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 0

[IntelDTTUserInCallState]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_USER_IN_CALL%,"User In Call State","State flag for user call status"
Value		= 0, "Not In Call", "User not in call", %REG_DWORD%, 0
Value		= 1, "In Call", "User in call", %REG_DWORD%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 0

[IntelDTTContextServiceState]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_CONTEXT_SERVICE_STATE%,"Context Service State","State flag for monitoring service and user presence app status"
Value		= 0, "Not active", "Service actions will not take effect", %REG_DWORD%, 0
Value		= 1, "Active", "Service actions wil take effect", %REG_DWORD%, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 0

[IntelDTTAdaptiveDimmingControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting		= %GUID_DTT_ADAPTIVE_DIMMING%,"Adaptive Dimming Control","Enable/disable adaptive dimming when user is disengaged or not present"
Value		= 0, "Disable", "Disable Adaptive Dimming", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable Adaptive Dimming", %REG_DWORD%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %DC%, 1
Default		= %GUID_TYP_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_TYP_POWER_SAVINGS%, %DC%, 1
Default		= %GUID_MIN_POWER_SAVINGS%, %AC%, 1
Default    	= %GUID_MIN_POWER_SAVINGS%, %DC%, 1

[IntelDTTAdaptiveDimmingWithExternalMonitorControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting		= %GUID_DTT_ADAPTIVE_DIMMING_EXTERNAL_MONITOR%,"Adaptive Dimming With External Monitor Control","Enable/disable adaptive dimming with external monitor when user is disengaged or not present"
Value		= 0, "Disable", "Disable Adaptive Dimming With External Monitor", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable Adaptive Dimming With External Monitor", %REG_DWORD%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %AC%, 0
Default		= %GUID_MAX_POWER_SAVINGS%, %DC%, 0
Default		= %GUID_TYP_POWER_SAVINGS%, %AC%, 0
Default		= %GUID_TYP_POWER_SAVINGS%, %DC%, 0
Default		= %GUID_MIN_POWER_SAVINGS%, %AC%, 0
Default    	= %GUID_MIN_POWER_SAVINGS%, %DC%, 0

[IntelDTTAdaptiveDimmingPreDimInterval]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_ADAPTIVE_DIMMING_PRE_DIM_WAIT_TIME%,"Adaptive Dimming Pre Dim Wait Time","Wait Time before dimming occurs when user is disengaged or not present"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 15000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 15000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 15000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 15000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 15000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 15000

[IntelDTTMispredictionFaceDetectionControl]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting		= %GUID_DTT_MISPREDICTION_FACE_DETECTION%,"Misprediction With Face Detection Control","Enable/disable misprediction with face detection when user is not present"
Value		= 0, "Disable", "Disable Misprediction With Face Detection", %REG_DWORD%, 0
Value		= 1, "Enable", "Enable Misprediction With Face Detection", %REG_DWORD%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_MAX_POWER_SAVINGS%, %DC%, 1
Default		= %GUID_TYP_POWER_SAVINGS%, %AC%, 1
Default		= %GUID_TYP_POWER_SAVINGS%, %DC%, 1
Default		= %GUID_MIN_POWER_SAVINGS%, %AC%, 1
Default    	= %GUID_MIN_POWER_SAVINGS%, %DC%, 1

[IntelDTTMispredictionTimeWindow]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_MISPREDICTION_TIME_WINDOW%,"Misprediction Time Window","Time during which misprediction is detected"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 7000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 7000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 7000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 7000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 7000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 7000

[IntelDTTMisprediction1DimWaitTime]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_MISPREDICTION_1_DIM_WAIT_TIME%,"Misprediction 1 Dim Wait Time","Time taken to dim when misprediction count is 1"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 30000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 30000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 30000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 30000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 30000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 30000

[IntelDTTMisprediction2DimWaitTime]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_MISPREDICTION_2_DIM_WAIT_TIME%,"Misprediction 2 Dim Wait Time","Time taken to dim when misprediction count is 2"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 60000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 60000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 60000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 60000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 60000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 60000

[IntelDTTMisprediction3DimWaitTime]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_MISPREDICTION_3_DIM_WAIT_TIME%,"Misprediction 3 Dim Wait Time","Time taken to dim when misprediction count is 3"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 180000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 180000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 180000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 180000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 180000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 180000

[IntelDTTMisprediction4DimWaitTime]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_MISPREDICTION_4_DIM_WAIT_TIME%,"Misprediction 4 Dim Wait Time","Time taken to dim when misprediction count is 4"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 300000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 300000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 300000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 300000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 300000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 300000

[IntelDTTUserNotPresentDimTarget]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_USER_NOT_PRESENT_DIM_TARGET%,"User Not Present Dim Target(%%)","Target at which dimming stops when user is not present"
ValueRange  	= 0, 100, 1, "%%"
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 0
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 0

[IntelDTTUserDisengagedDimmingInterval]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_USER_DISENGAGED_DIMMING_INTERVAL%,"User Disengaged Dimming Interval","Time taken to dim when user is disengaged"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 16000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 16000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 16000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 16000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 16000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 16000

[IntelDTTUserDisengagedDimTarget]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_USER_DISENGAGED_DIM_TARGET%,"User Disengaged Dim Target(%%)","Target at which dimming stops when user is disengaged"
ValueRange  	= 0, 100, 1, "%%"
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 20
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 20
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 20
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 20
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 20
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 20

[IntelDTTUserDisengagedDimWaitTime]
SubGroup	= %GUID_DTT_GROUP%,"Intel(R) Dynamic Tuning Technology Settings", "Intel(R) Dynamic Tuning Technology Settings"
Setting     	= %GUID_DTT_USER_DISENGAGED_DIM_WAIT_TIME%,"User Disengaged Dim Wait Time","Time taken to dim when user is disengaged"
ValueRange  	= 0, 28800000, 1
Default     	= %GUID_MAX_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_MAX_POWER_SAVINGS%, %DC%, 5000
Default     	= %GUID_TYP_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_TYP_POWER_SAVINGS%, %DC%, 5000
Default     	= %GUID_MIN_POWER_SAVINGS%, %AC%, 5000
Default     	= %GUID_MIN_POWER_SAVINGS%, %DC%, 5000

[Strings]
SERVICE_ERROR_NORMAL  = 1

INTEL = "Intel"
DiskName = "Intel(R) Context Sensing Service"

SERVICE_WIN32_OWN_PROCESS = 0x00000010
SERVICE_AUTO_START = 0x2

COPYFLG_NOSKIP = 0x00000002

ProductMessageKey="application\ICSS"
ServiceDisplayName="Intel(R) Context Sensing Service"
ServiceDescription="Intel(R) Context Sensing Service"
ServiceFile="UserAwarenessService.exe"
InstallDir="Intel\ICSS"

REG_DWORD                       = 0x00010001
REG_MULTI_SZ                    = 0x00010000
REG_EXPAND_SZ                   = 0x00020000
REG_SZ                          = 0x00000000

AC                              = 0
DC                              = 1

GUID_MAX_POWER_SAVINGS          = "{a1841308-3541-4fab-bc81-f71556f20b4a}"  ; Power Saver mode
GUID_TYP_POWER_SAVINGS          = "{381b4222-f694-41f0-9685-ff5bb260df2e}"  ; Balanced
GUID_MIN_POWER_SAVINGS          = "{8c5e7fda-e8bf-4a96-9a85-a6e23a8c635c}"  ; High Performance

GUID_DTT_GROUP 									= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB40}"
GUID_DTT_WAL 									= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB41}"
GUID_DTT_WOA 									= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB42}"
GUID_DTT_NLoP 									= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB43}"
GUID_DTT_ADAPTIVE_DIMMING 							= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB44}"
GUID_DTT_ADAPTIVE_DIMMING_EXTERNAL_MONITOR 					= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB45}"
GUID_DTT_WAL_WAITTIME 								= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB46}"
GUID_DTT_WOA_EXTERNAL_MONITOR 							= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB47}"
GUID_DTT_WAL_EXTERNAL_MONITOR 							= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB48}"
GUID_DTT_WOA_LOW_BATTERY 							= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB50}"
GUID_DTT_WOA_BATTERY_REMAINING_PERCENTAGE 					= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB51}"
GUID_DTT_WAL_DIM_SCREEN 							= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB52}"
GUID_DTT_WAL_DISPLAY_OFF_AFTER_LOCK 						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB53}"
GUID_DTT_WAL_HONOR_DISPLAY_POWER_REQUEST 					= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB54}"
GUID_DTT_WAL_HONOR_USER_IN_CALL 						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB55}"
GUID_DTT_NLOP_BATTERY 								= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB56}"
GUID_DTT_NLOP_BATTERY_REMAINING_PERCENTAGE					= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB57}"
GUID_DTT_NLOP_RESET_WAITTIME 							= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB58}"
GUID_DTT_USER_PRESENT_WAIT_TIMEOUT 						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB59}"
GUID_DTT_WAL_DIM_INTERVAL 							= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB60}"
GUID_DTT_WAL_PRE_DIM_WAIT_TIME 							= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB61}"
GUID_DTT_ADAPTIVE_DIMMING_PRE_DIM_WAIT_TIME					= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB62}"
GUID_DTT_CONTEXT_SERVICE_STATE 							= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB63}"
GUID_DTT_WAL_EVENT								= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB64}"
GUID_DTT_WOA_EVENT 								= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB65}"
GUID_DTT_USER_IN_CALL 								= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB66}"
GUID_DTT_EXTERNAL_MONITOR_CONNECTION_STATE_DPPE 				= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB67}"
GUID_DTT_MISPREDICTION_FACE_DETECTION						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB68}"
GUID_DTT_MISPREDICTION_TIME_WINDOW						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB69}"
GUID_DTT_MISPREDICTION_1_DIM_WAIT_TIME						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB70}"
GUID_DTT_MISPREDICTION_2_DIM_WAIT_TIME						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB71}"
GUID_DTT_MISPREDICTION_3_DIM_WAIT_TIME						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB72}"
GUID_DTT_MISPREDICTION_4_DIM_WAIT_TIME						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB73}"
GUID_DTT_FAILSAFE_TIMEOUT							= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB74}"
GUID_DTT_NLOP_EXTERNAL_MONITOR							= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB75}"
GUID_DTT_USER_NOT_PRESENT_DIM_TARGET						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB77}"
GUID_DTT_USER_DISENGAGED_DIMMING_INTERVAL					= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB78}"
GUID_DTT_USER_DISENGAGED_DIM_TARGET						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB79}"
GUID_DTT_USER_DISENGAGED_DIM_WAIT_TIME						= "{8880AE65-32E6-4FCE-A2EF-2BDEE8C7CB80}"

PROCTGL.DeviceDesc  = "Intel(R) Context Sensing Service"
PROCRKL.DeviceDesc  = "Intel(R) Context Sensing Service"
